<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: infusion.php
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }
 
require_once "../maincore.php";
include INFUSIONS."extra_site_links_panel/infusion_db.php";

if (!file_exists(INFUSIONS."extra_site_links_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."extra_site_links_panel/locale/".$settings['locale'].".php";
} else { include INFUSIONS."extra_site_links_panel/locale/English.php"; }

// Infusion Information
$inf_title = "Extra Site Links Panel";
$inf_description = "Panel pre pridvanie alch odkazov.";
$inf_version = "2.10";
$inf_developer = "Petter Paulsson";
$inf_email = "";
$inf_weburl = " http://www.php-fusion.se/";

$inf_folder = "extra_site_links_panel";

$inf_newtable[1] = DB_SITE_LINKS_EXTRA." (
link_id SMALLINT(5) UNSIGNED NOT NULL AUTO_INCREMENT,
link_name VARCHAR(100) DEFAULT '' NOT NULL,
link_url VARCHAR(200) DEFAULT '' NOT NULL,
link_visibility TINYINT(3) UNSIGNED DEFAULT '0' NOT NULL,
link_position tinyint(1) UNSIGNED DEFAULT '1' NOT NULL,
link_window tinyint(1) UNSIGNED DEFAULT '0' NOT NULL,
link_order SMALLINT(2) UNSIGNED DEFAULT '0' NOT NULL,
PRIMARY KEY (link_id)
) ENGINE=MyISAM;";

// Adminpanel
$inf_adminpanel[1] = array(
	"title" => "Extra Site Links",		// Adminpanel name
	"rights" => "EXT",					// Admin access (max 4 char) (pozor na duplicitu)
	"image" => "infusion_panel.gif",	// Adminpanel image
	"panel" => "extra_links_admin.php",	// Adminpanel file
	"page" => "4"							// Adminpanel pagenum
);

/*******************************************************************************************************************/
$inf_insertdbrow[1] = 0;
$inf_droptable[1] = DB_SITE_LINKS_EXTRA;
$inf_altertable[1] = "";
$inf_deldbrow[1] = "";

?>